/*
 * emonEEProm.h
 *
 * Library to manage configuration data stored in EEPROM
 *
 */
 

#ifndef emonEEProm_h
#define emonEEProm_h

#if defined(ARDUINO) && ARDUINO >= 100

#include "Arduino.h"

#else

#include "WProgram.h"

#endif

struct block {
  int16_t  length;
  uint16_t signature;
};


unsigned int eepromSize(void);
unsigned int eepromFree(void);
void eepromFormat(void);
bool eepromValidate(void);
bool eepromCheck(uint16_t signature, byte *src, int16_t length);
unsigned int eepromFindSignature(uint16_t signature);
unsigned int eepromRead(uint16_t signature, byte *dest);
unsigned int eepromWrite(uint16_t signature, byte *src, int16_t length);
unsigned int eepromPack(void);
unsigned int eepromLift(uint16_t signature, int16_t length);
unsigned int eepromHide(uint16_t signature);
void eepromPrint(void);
void printblock(int start, int size); //private to library
#endif
